GET /api/hosts/bootc_images
200
{
"total": 3,
"page": 1,
"per_page": 1,
"subtotal": 3,
"sort": {
"by": "bootc_booted_image",
"order": "asc"
},
"results": [
{
"bootc_booted_image": "image1",
"digests": [
{
"bootc_booted_digest": "sha256:dcfb2965cda67bd3731408ace23dd07ff3116168c2b832e16bba8234525724a3",
"host_count": 1
}
]
}
]
}
| Param name | Description |
|---|---|
|
search
optional |
Search string Validations:
|
|
page
optional |
Page number, starting at 1 Validations:
|
|
per_page
optional |
Number of results per page to return Validations:
|
|
order
optional |
Sort field and order, eg. ‘id DESC’ Validations:
|
|
full_result
optional |
Whether or not to show all results Validations:
|
|
sort_by
optional |
Field to sort the results on Validations:
|
|
sort_order
optional |
How to order the sorted results (e.g. ASC for ascending) Validations:
|